Fedora Packages

glibc-devel Subpackage of glibc

Object files for development using standard C libraries.

The glibc-devel package contains the object files necessary for developing programs which use the standard C libraries (which are used by nearly all programs). If you are developing programs which will use the standard C libraries, your system needs to have these standard object files available in order to create the executables. Install glibc-devel if you are going to develop programs which will use the standard C libraries.

Releases Overview

Release Stable Testing
Fedora Rawhide 2.39.9000-30.fc41 -
Fedora 40 2.39-17.fc40 -
Fedora 39 2.38-18.fc39 -
File a new bug report »
Package Info
  • Upstream: http://www.gnu.org/software/glibc/
  • License(s): LGPL-2.1-or-later AND SunPro AND LGPL-2.1-or-later WITH GCC-exception-2.0 AND BSD-3-Clause AND GPL-2.0-or-later AND LGPL-2.1-or-later WITH GNU-compiler-exception AND GPL-2.0-only AND ISC AND LicenseRef-Fedora-Public-Domain AND HPND AND CMU-Mach AND LGPL-2.0-or-later AND Unicode-3.0 AND GFDL-1.1-or-later AND GPL-1.0-or-later AND FSFUL AND MIT AND Inner-Net-2.0 AND X11 AND GPL-2.0-or-later WITH GCC-exception-2.0 AND GFDL-1.3-only AND GFDL-1.1-only
  • Maintainers: codonell, djdelorie, mfabian, submachine, fberat, josmyers, mcermak, fweimer, pfrankli, siddhesh

Related Packages

You can contact the maintainers of this package via email at glibc dash maintainers at fedoraproject dot org.



Sources on Pagure